petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionGetPointLayout

Get the PetscLayout associated with the section points

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetPointLayout(MPI_Comm comm, PetscSection s, PetscLayout *layout)

Collective on comm

### Input Parameters

| comm | - The MPI_Comm
| s | - The PetscSection

### Output Parameter

layout -The point layout for the section

Note: This is usually caleld for the default global section.

### See Also

PetscSectionGetValueLayout(), PetscSectionCreate()

### Level

advanced

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages